package com.chinacreator.process.bean;

public class OrderBean {

	private String id;
	private String userid;
	private String province;
	private String area;

	@Override
	public String toString() {
		return "OrderBean{" +
				"id='" + id + '\'' +
				", userid='" + userid + '\'' +
				", province='" + province + '\'' +
				", area='" + area + '\'' +
				", cpid='" + cpid + '\'' +
				", spid='" + spid + '\'' +
				", orderType='" + orderType + '\'' +
				", updateTime='" + updateTime + '\'' +
				", channel='" + channel + '\'' +
				", activated='" + activated + '\'' +
				", ischarge='" + ischarge + '\'' +
				", usertype='" + usertype + '\'' +
				", orderstatus='" + orderstatus + '\'' +
				", flowstatus='" + flowstatus + '\'' +
				", vipstatus='" + vipstatus + '\'' +
				", oldcanceltime='" + oldcanceltime + '\'' +
				", isWhite=" + isWhite +
				", ordertime='" + ordertime + '\'' +
				", activeType=" + activeType +
				", endtime='" + endtime + '\'' +
				", viptime='" + viptime + '\'' +
				", canceltime='" + canceltime + '\'' +
				", orderchannel='" + orderchannel + '\'' +
				", cancelchannel='" + cancelchannel + '\'' +
				", vipconstatus='" + vipconstatus + '\'' +
				", vipcontime='" + vipcontime + '\'' +
				", fhcpid='" + fhcpid + '\'' +
				", effectivetime='" + effectivetime + '\'' +
				", vipconflag='" + vipconflag + '\'' +
				", fhspid='" + fhspid + '\'' +
				", waitid='" + waitid + '\'' +
				", activehandle='" + activehandle + '\'' +
				'}';
	}

	private String cpid;
	private String spid;
	private String orderType;
	private String updateTime;
	private String channel;
	private String activated;
	private String ischarge;
	private String usertype;
	private String orderstatus;
	private String flowstatus;
	private String vipstatus;
	private String oldcanceltime;
	private int isWhite;
	private String ordertime;
	private int activeType;
	private String endtime;
	private String viptime;
	private String canceltime;
	private String orderchannel;
	private String cancelchannel;
	private String vipconstatus;
	private String vipcontime;
	private String fhcpid; //复合产品CPID
	private String effectivetime; //生效时间
	
	private String vipconflag; //续送会员标识，0是，1否
	private String waitid; //TD_BUSSHANDLE_WAIT表ID
	
	private String activehandle; //生成活动关系的入口
	
	private String subchannel; //子渠道标识
	
	public String getSubchannel() {
		return subchannel;
	}
	public void setSubchannel(String subchannel) {
		this.subchannel = subchannel;
	}
	public String getActivehandle() {
		return activehandle;
	}
	public void setActivehandle(String activehandle) {
		this.activehandle = activehandle;
	}
	public String getWaitid() {
		return waitid;
	}
	public void setWaitid(String waitid) {
		this.waitid = waitid;
	}
	public String getVipconflag() {
		return vipconflag;
	}
	public void setVipconflag(String vipconflag) {
		this.vipconflag = vipconflag;
	}
	public String getEffectivetime() {
		return effectivetime;
	}
	public void setEffectivetime(String effectivetime) {
		this.effectivetime = effectivetime;
	}
	public String getFhcpid() {
		return fhcpid;
	}
	public void setFhcpid(String fhcpid) {
		this.fhcpid = fhcpid;
	}
	public String getFhspid() {
		return fhspid;
	}
	public void setFhspid(String fhspid) {
		this.fhspid = fhspid;
	}
	private String fhspid; //复合产品SPID
	
	public String getVipconstatus() {
		return vipconstatus;
	}
	public void setVipconstatus(String vipconstatus) {
		this.vipconstatus = vipconstatus;
	}
	public String getVipcontime() {
		return vipcontime;
	}
	public void setVipcontime(String vipcontime) {
		this.vipcontime = vipcontime;
	}
	public String getOrderchannel() {
		return orderchannel;
	}
	public void setOrderchannel(String orderchannel) {
		this.orderchannel = orderchannel;
	}
	public String getCancelchannel() {
		return cancelchannel;
	}
	public void setCancelchannel(String cancelchannel) {
		this.cancelchannel = cancelchannel;
	}
	public String getCanceltime() {
		return canceltime;
	}
	public void setCanceltime(String canceltime) {
		this.canceltime = canceltime;
	}
	public String getViptime() {
		return viptime;
	}
	public void setViptime(String viptime) {
		this.viptime = viptime;
	}
	public String getEndtime() {
		return endtime;
	}
	public void setEndtime(String endtime) {
		this.endtime = endtime;
	}
	public int getActiveType() {
		return activeType;
	}
	public void setActiveType(int activeType) {
		this.activeType = activeType;
	}
	public String getOrdertime() {
		return ordertime;
	}
	public void setOrdertime(String ordertime) {
		this.ordertime = ordertime;
	}
	public int getIsWhite() {
		return isWhite;
	}
	public void setIsWhite(int isWhite) {
		this.isWhite = isWhite;
	}
	public String getOldcanceltime() {
		return oldcanceltime;
	}
	public void setOldcanceltime(String oldcanceltime) {
		this.oldcanceltime = oldcanceltime;
	}
	public String getFlowstatus() {
		return flowstatus;
	}
	public void setFlowstatus(String flowstatus) {
		this.flowstatus = flowstatus;
	}
	public String getVipstatus() {
		return vipstatus;
	}
	public void setVipstatus(String vipstatus) {
		this.vipstatus = vipstatus;
	}
	public String getOrderstatus() {
		return orderstatus;
	}
	public void setOrderstatus(String orderstatus) {
		this.orderstatus = orderstatus;
	}
	public String getUsertype() {
		return usertype;
	}
	public void setUsertype(String usertype) {
		this.usertype = usertype;
	}
	public String getIscharge() {
		return ischarge;
	}
	public void setIscharge(String ischarge) {
		this.ischarge = ischarge;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getActivated() {
		return activated;
	}
	public void setActivated(String activated) {
		this.activated = activated;
	}
	public String getChannel() {
		return channel;
	}
	public void setChannel(String channel) {
		this.channel = channel;
	}
	public String getOrderType() {
		return orderType;
	}
	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}
	public String getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}
	public String getUserid() {
		return userid;
	}
	public void setUserid(String userid) {
		this.userid = userid;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getCpid() {
		return cpid;
	}
	public void setCpid(String cpid) {
		this.cpid = cpid;
	}
	public String getSpid() {
		return spid;
	}
	public void setSpid(String spid) {
		this.spid = spid;
	}
	
}
